package com.parse;

import org.json.JSONException;
import org.json.JSONObject;

// A PFJSONCacheItem is a pairing of a json string with its hash value. It's used to cache JSON serialization
// with our hacked up version of SBJSON.
class ParseJSONCacheItem {
	private JSONObject json;
	private int hashValue;
	
	public ParseJSONCacheItem(Object object) throws JSONException {
		json = new JSONObject();
		json.put("object", Parse.maybeEncodeJSONObject(object));
		hashValue = json.toString().hashCode();
	}
	
	public boolean equals(ParseJSONCacheItem other) {
		return (hashValue == other.getHashValue());
	}
	
	public int getHashValue() {
		return hashValue;
	}
	
	public Object getJSONObject() {
		try {
			return json.get("object");
		} catch (JSONException e) {
			return null;
		}
	}
}
